Messaggio WatchGuard : The configuration must be in the 12.0 or higher OS compatibility mode before it can be saved to a v12.0.1 device.

Per risolvere il problema procedere come segue :

Alternate Workaround (not recommended)

If you still want to migrate the old configuration file, you can manually update the  OS Compatibility version in the configuration file.  

Note:   Before you attempt to manually edit the configuration file, save a backup copy of the file. Be careful not to make any changes that are not stated in these instructions.

To manually edit the version in the configuration file:

  1. Open the .xml configuration file in a text editor such as notepad. Do not use a word processor application such as Word.
  2. In the .xml configuration file, find the line with a <for-version> tag. This line will look like this:
    <for-version>11.3</for-version>
  3. Change the version number to 11.4. After you do this, the line will look like this:
    <for-version>11.4</for-version>
  4. Save the edited configuration file.

After you manually update the version in the configuration file:

  1. Open the modified configuration file in Policy Manager.
  2. Select Setup > OS Compatibility.
  3. From the For Fireware version drop-down list, select the Fireware version range that matches the version of Fireware installed on the new Firebox. For more information, see Configure Fireware OS Compatibility in Fireware Help
  4. Save the configuration to the new Firebox. 

Fonte : http://customers.watchguard.com/articles/Article/Migrate-a-configuration-from-Fireware-11-3-x/?l=en_US&fs=RelatedArticle